Skip to main content
GET
/
organizations
/
{organizationId}
/
workspaces
List Workspaces
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "limit": 0,
  "offset": 0,
  "totalCount": 0,
  "workspaces": [
    {
      "cicdEnforcedDefault": true,
      "createdAt": "2023-09-08T12:00:00Z",
      "id": "clm8t5u4q000008jq4qoc3036",
      "name": "My Workspace",
      "organizationId": "clm8t5u4q000008jq4qoc3036",
      "updatedAt": "2023-09-08T13:30:00Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "description": "This is a test workspace",
      "organizationName": "My Organization",
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to list Workspaces for.

Query Parameters

workspaceIds
string[]

A list of IDs for specific Workspaces to list. The API will list information only for Workspaces which have been specified in this list.

names
string[]

A list of names for specific Workspaces to filter by. The API will list information only for Workspaces which have been specified in this list.

offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: 0 <= x <= 1000
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
name:asc,
name:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

limit
integer
required

The maximum number of workspaces that can be retrieved per page.

Example:

0

offset
integer
required

The offset for the current page of workspaces in the complete result.

Example:

0

totalCount
integer
required

The total number of Workspaces in the paginated result.

Example:

0

workspaces
object[]
required

An array of Workspace objects representing a list of workspaces.